﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Input;
using ThePingMasterConfiguration.Services;

namespace ThePingMasterConfiguration.Commands
{
    public class AboutCommand : ICommand
    {
        private readonly IAboutService _service;

        public AboutCommand(IAboutService service)
        {
            if (service == null) throw new ArgumentNullException("service");
            _service = service;
        }

        public void Execute(object parameter)
        {
            _service.Show();
        }

        public bool CanExecute(object parameter)
        {
            return true;
        }

        public event EventHandler CanExecuteChanged;
    }
}
