﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ThePingMasterConfiguration.Services;
using ThePingMasterConfiguration.ViewModels;

namespace ThePingMasterConfiguration.Commands
{
    public interface ICommandFactory
    {
        SaveCommand GetSaveCommand(ConfigurationModel model);
        QuitCommand GetQuitCommand();
        BrowseSuccessCommand GetBrowseSuccessCommand(ConfigurationModel model);
        BrowseFailureCommand GetBrowseFailureCommand(ConfigurationModel model);
        AboutCommand GetAboutCommand();
        RunProcessCommand GetRunProcessCommand(string processPath);
        RemoveAddressCommand GetRemoveAddressCommand(ConfigurationModel configurationModel);
        AddAddressCommand GetAddAddressCommand(ConfigurationModel configurationModel);
        MessageCommand GetDuplicateAddressCommand(string duplicateAddressMessage);
    }
}
