﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ThePingMasterConfiguration.Commands;

namespace ThePingMasterConfiguration.ViewModels
{
    class AboutModel
    {
        private readonly ICommandFactory _factory;

        public AboutModel(ICommandFactory factory)
        {
            if (factory == null) throw new ArgumentNullException("factory");
            _factory = factory;
            License = "Copyright (c) 2010 James Randall\n\nPermission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the \"Software\"), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:\n\nThe above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.\n\nTHE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.";
            WebsiteLink = "http://thepingmaster.codeplex.com";
            OpenWebsiteCommand = _factory.GetRunProcessCommand(WebsiteLink);
            Version = "0.9";
        }

        public AboutModel() : this(new CommandFactory())
        {
            
        }

        public string License { get; private set; }

        public string Version { get; private set; }

        public string WebsiteLink { get; private set; }

        public RunProcessCommand OpenWebsiteCommand { get; set; }
    }
}
