﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ThePingMasterConfiguration.Commands;

namespace ThePingMasterConfiguration.ViewModels
{
    public class AddressModel
    {
        private readonly ICommandFactory _factory;

        public AddressModel(string address) : this(address, new CommandFactory())
        {
            
        }

        public AddressModel(string address, ICommandFactory factory)
        {
            if (address == null) address = String.Empty;
            if (factory == null) throw new ArgumentNullException("factory");
            
            _factory = factory;
            Address = address;
        }

        public string Address { get; set; }

    }
}
